//------------------------------------------------------------------------------
// CONVERSATION CARD
//------------------------------------------------------------------------------
@import "../../config";

$_card-width: 100%;
$_card-bg: config('ej.conversation-card.bg-image');

:root {
    --theme-color: #{color('brand')};
    --theme-light-color: #{color('brand-lighter')};
}

div.margin-y3:nth-child(4)>div:nth-child(1)>div:nth-child(1)>span:nth-child(2)>span:nth-child(1)>i:nth-child(1) {
    display: none;
}

.conversation-card {
    @include utilities('center text-6 col items-center');

    background-color: $color-highlight;
    border-radius: size(config('ej.conversation-card.border-radius'));
    color: $color-black;
    width: $_card-width;
    height: 20rem;
    margin: auto;
    overflow: hidden;
    border: 1px solid $color-primary-light;

    @media screen and (max-width: 800px) {
        width: 20rem;

        .share-card__item{
            top: -10px !important;
            left: -92px !important;
        }
    }

    #share-card{
        height: 20px;
        margin-right: 8px;
        .show{
            display: none;
        }
    }

    .share-card__show{
        display: block !important;
    }
    .share-card__span{
        display: none;
        position: relative;
        
    }

    .share-card__item{
        position: absolute;
        padding: 10px 15px;
        top: -10px;
        left: -154px;
        border-radius: 16px;
        font-family: "Copperplate Gothic";
        background: $color-highlight-dark;
        font-size: 14px;
        font-weight: 500;
        width: 150px;

    }
    

    &__tags {
        @include utilities('text-6');
        font-family: 'Britanic', "roboto";
        font-size: 12px;
        @if config('ej.conversation-card.highlight-tags') {
            background-color: $color-primary-pure;
            color: color('white');
        }
        width: 100%;
        padding: 0.1rem;

        @media screen and (max-width: 800px){
            display: flex;
            padding: .4rem 21%;
            height: 6rem;

            .span-icon {
                display: grid;
                margin: 0 auto;
            }
        }
    }
    &__tags::first-letter{
        text-transform: uppercase;
    }
    &__tags-container{
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        max-height: 50px;
        @media screen and (max-width: 800px) {
            flex-direction: column;
            i {
                display: none;
            }
        }
        .center-icon{
            display: flex;
            justify-content: center;
            align-items: center;
        }
    }
    &__statistics {
        @include utilities('list-inline pad-y1');
        color: $color-primary-dark;
        font-family: 'Britanic', "roboto";

        > li {
            @include utilities('pad-x1');
        }
    }
    &__text {
        @include utilities('col flex-center pad-3');
        font-family: "Libre Franklin", "roboto";

        flex-grow: 1;
        padding: 1rem;

        a {
            // @include utilities('text-4 sans-serif');
            @include utilities('text-4');
            color: color('black');
            font-weight: 600;
            overflow: hidden;
            text-overflow: ellipsis;
            display: -webkit-box;
            -webkit-line-clamp: 3;
            -webkit-box-orient: vertical;
            padding: 0px 3.5px 0px 3.5px;
        }

        @media only screen and (max-width: 560px) {
            padding: .8rem;
        }
    }
    &__moderate {
        @include utilities('uppercase text-6 margin-2 bold');

        color: color('black');
        display: block;
    }
    &__button {
        @include utilities('pad-t1 margin-t1');
        padding-top: 0.8rem;

        @if $_card-bg {
            background: css-var(--theme-color, color('brand')) url("#{$_card-bg}") repeat;
        }
        background: url("#{$_card-bg}");
        background-size: cover;
        width: 100%;

        a {
            font-family: "Copperplate Gothic";
            font-weight: 500;
            color: #fff !important;
            background-color: $color-primary-pure !important;
            border-radius: 8px;
            border: none !important;
        }


        @media only screen and (max-width: 560px) {
            a {
                margin-bottom: 1.5rem;
            }
        }
    }

    .progress-bar {
        width: 10rem;

        &__progress {
            border-color: color('white');
        }
    }
}

.alternate-cards {
    margin: 0 auto;

    @include breakpoint('md') {
        align-items: center;
        display: grid;
        grid-gap: size(0.5);
        grid-template-columns: repeat(auto-fill, minmax(18rem, 1fr));

        > * {
            justify-self: center;
            width: 100%;
            display: flex;

            @media screen and (max-width: 65.5rem) {max-width: 24rem;}

            > * {border-radius: size(0.5);}
        }
    }

    @media screen and (min-width: 158rem) {
        max-width: 150rem;
        margin-left: 0;
        grid-template-columns: repeat(6, minmax(calc((100% / 6) - .75rem), 1fr));
    }
}


.statistics-card {
   
    &-container {
        width: 230px;
        height: 160px;
        background: $color-highlight;
        border-radius: 8px;
        padding: 0 18px;
    }
    &-title {
        padding-top: 24px;
        padding-bottom: 18px;
        text-align: start;
        margin-bottom: unset;
        font-family: "Copperplate Gothic";
        font-weight: 500;
        min-height: 105px;
    }
    &-value {
        text-align: start;
        font-size: 48px;
        line-height: 50px;
        font-weight: bold;
    }

}

.cards-divider {
    .cards-divider-body {
        background: $color-white;
        display: flex;
        height: 100%;
        flex-wrap: wrap;
        margin-top: 26px;
        margin-bottom: 23px;

        row-gap: 23px;
        column-gap: 32px;
    }

    .cards-divider-header {
        display: none;
        width: 100%;
        padding: 1rem 1rem 0 1rem;

        flex-direction: column;

        .close-btn {
            display: flex;
            justify-content: flex-end;
            padding: .5rem;
        }

        h2 {
            color: $color-secondary;
            text-align: center;
            margin-top: .5rem;
        }
    }

    @media screen and (max-width: 559px) {
        &.show-board-statistics {
            display: flex;
            bottom: 0;

            .cards-divider-header {
                display: flex;
            }
        }

        flex-direction: column;
        margin: 0;

        transition: .25s;

        position: fixed;
        bottom: -100%;
        left: 0;
        z-index: 1006;

        border-radius: 10px 10px 0 0;
        background-color: $color-white;
        width: 100%;
        max-height: 80%;

        .cards-divider-body {
            display: grid;
            justify-content: center;
            overflow-y: auto;
            margin: 0;
            padding: 1.25rem 0;
        }


        p {
            text-align: center;
        }

        .statistics-card-container {
            padding: 0;
        }

        .cards-divider-header {
            display: block;
        }
    }
}

.signature-text {
    font-size: 1rem;
    font-style: normal;
    font-weight: 400;
    line-height: 21px;
    font-family: "Libre Franklin";

    a{
        font-family: "Copperplate Gothic";
        color: $color-primary-pure;
        font-weight: 600;
    }
}

.signature-link {
    line-height: 21px;
    text-decoration: underline;
}

.board-statistics-container {
    text-align: start;
}


.vote{
    display: flex;
    align-items: center;
    column-gap: 10px;
    &__icon{
        height: 29px;
    }
}

.summary{
    a, i, span:nth-child(1){
        color: $color-low-pure !important;
    }

      
}

.radius {
    border-radius: 8px !important;
}